#pragma once

#include "env.h"

/// <summary>
/// ベクトルマップの初期化
/// </summary>
/// <param name="vectMap">ベクトルマップ</param>
void initVectMap(fixed16_2 *vectMap[MAP_SIZE][MAP_SIZE]);

/// /// <summary>
/// ラベルマップの初期化
/// </summary>
/// <param name="labelMap">ラベルマップ</param>
void initLabelMap(int labelMap[MAP_SIZE][MAP_SIZE]);

/// <summary>
/// データの読み込み
/// </summary>
/// <param name="data">返却用データ配列</param>
/// <param name="dataNum">データ数</param>
void hangSampleData(fixed16_2 **data[2], int dataNum[2]);
