#pragma once

#include "env.h"

/// <summary>
/// 学習用ベクトルを一つ選択
/// </summary>
/// <param name="fileNum">データ数</param>
/// <param name="selectedLabel">選択したラベルを格納する戻り値</param>
void decideInputVect(fixed16_2 **data[2], int fileNum[2], fixed16_2 *selectedVect);

/// <summary>
/// ラベルマップの更新 (再定義)
/// </summary>
/// <param name="vectMap">ベクトルマップ</param>
/// <param name="labelMap">ラベルマップ</param>
/// <param name="data">全データ配列</param>
/// <param name="fileNum">全ファイル数</param>
void updateLabelMap(fixed16_2 *vectMap[MAP_SIZE][MAP_SIZE], int labelMap[MAP_SIZE][MAP_SIZE], fixed16_2 **data[2],
                    int fileNum[2]);
