#pragma once

#include "env.h"

#define SOM_LEARN 0x00
#define SOM_INIT 0x01
#define SOM_READ 0x02

/// <summary>
/// SOMのラッパー関数
/// </summary>
/// <param name="vectMap">参照ベクトルマップ</param>
/// <param name="selectedVect">学習データ</param>
/// <param name="func">機能の選択用</param>
void som(fixed16_2 vectMap[MAP_SIZE * MAP_SIZE * VECT_DIM], fixed16_2 selectedVect[VECT_DIM * HW_TIME], const char func);
