#pragma once

#include "env.h"

/// <summary>
/// [0, 1) の乱数を生成する
/// </summary>
/// <returns>[0, 1) の乱数</returns>
double randf();

/// <summary>
/// [0, N) の乱数を生成する
/// </summary>
/// <param name="N">上限</param>
/// <returns>[0, N) の乱数</returns>
int randN(const int N);
